# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate bumpalo

Name:           rust-bumpalo
Version:        3.17.0
Release:        %mkrel 2
Summary:        Fast bump allocation arena for Rust

Group:          Development/Rust
BuildArch:      noarch

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/bumpalo
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused, benchmark-only criterion dev-dependency
Patch:          bumpalo-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  rust-rand0.8+rand_chacha-devel
BuildRequires:  rust-rand_core0.6+getrandom-devel

%global _description %{expand:
A fast bump allocation arena for Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+allocator-api2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+allocator-api2-devel %{_description}

This package contains library source intended for building other packages which
use the "allocator-api2" feature of the "%{crate}" crate.

%files       -n %{name}+allocator-api2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+allocator_api-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+allocator_api-devel %{_description}

This package contains library source intended for building other packages which
use the "allocator_api" feature of the "%{crate}" crate.

%files       -n %{name}+allocator_api-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+boxed-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+boxed-devel %{_description}

This package contains library source intended for building other packages which
use the "boxed" feature of the "%{crate}" crate.

%files       -n %{name}+boxed-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+collections-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+collections-devel %{_description}

This package contains library source intended for building other packages which
use the "collections" feature of the "%{crate}" crate.

%files       -n %{name}+collections-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 3.17.0-2.mga10
+ Revision: 2236686
- Mageia 10 Mass Rebuild

* Sun Feb 23 2025 wally <wally> 3.17.0-1.mga10
+ Revision: 2151491
- new version 3.17.0
- update RPM group to Development/Rust

* Tue Oct 03 2023 tv <tv> 3.14.0-1.mga10
+ Revision: 1993708
- 3.14.0

* Sun May 21 2023 neoclust <neoclust> 3.12.2-1.mga10
+ Revision: 1957647
- imported package rust-bumpalo


* Thu May 11 2023 Fabio Valentini <decathorpe@gmail.com> - 3.12.2-1
- Update to version 3.12.2; Fixes RHBZ#2196658

* Sat Apr 22 2023 Fabio Valentini <decathorpe@gmail.com> - 3.12.1-1
- Update to version 3.12.1; Fixes RHBZ#2188726

* Thu Jan 26 2023 Fabio Valentini <decathorpe@gmail.com> - 3.12.0-1
- Update to version 3.12.0; Fixes RHBZ#2161735

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Dec 10 2022 Fabio Valentini <decathorpe@gmail.com> - 3.11.1-1
- Update to version 3.11.1; Fixes RHBZ#2135949

* Sat Aug 20 2022 Fabio Valentini <decathorpe@gmail.com> - 3.11.0-1
- Update to version 3.11.0; Fixes RHBZ#2119144

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jul 16 2022 Fabio Valentini <decathorpe@gmail.com> - 3.10.0-1
- Update to version 3.10.0; Fixes RHBZ#2092519

* Thu Jan 27 2022 Fabio Valentini <decathorpe@gmail.com> - 3.9.1-1
- Update to version 3.9.1; Fixes RHBZ#2037574

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Nov 05 2021 Fabio Valentini <decathorpe@gmail.com> - 3.8.0-1
- Update to version 3.8.0; Fixes RHBZ#2015649

* Thu Sep 30 2021 Fabio Valentini <decathorpe@gmail.com> - 3.7.1-1
- Update to version 3.7.1; Fixes RHBZ#2005461

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun May 30 2021 Fabio Valentini <decathorpe@gmail.com> - 3.7.0-1
- Update to version 3.7.0.
- Fixes RHBZ#1965646

* Sat Feb 27 2021 Fabio Valentini <decathorpe@gmail.com> - 3.6.1-1
- Update to version 3.6.1.
- Fixes RHBZ#1919497

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 25 11:51:52 EEST 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.4.0-1
- Initial package

